<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
if (isset($_POST['cantidad'])){$cantidad=$_POST['cantidad'];}
if (isset($_POST['concepto'])){$concepto=$_POST['concepto'];}
if (isset($_POST['valor'])){$valor=$_POST['valor'];}
$tipo_envio = isset($_POST['tipo_envio']) ? $_POST['tipo_envio'] : null;
$fecha_inicio = isset($_POST['fecha_inicio']) ? $_POST['fecha_inicio'] : null;

if (!empty($cantidad))
{
    $insert_tmp=mysqli_query($con, "INSERT INTO dian_documento_temp (sop_nombre,sop_cantidad,sop_precio,sop_tipo_envio,sop_fecha_envio,usuario,empresa) 
    VALUES ('$concepto','$cantidad','$valor','$tipo_envio','$fecha_inicio','$usu_id','$empresa')");
}

?>

<table class="table table-bordered table-hover table-striped">
	<tr>
		<th width="5%">CANTIDAD</th>
		<th>DESCRIPCION</th>
		<th width="10%">VR UNITARIO</th>
		<th width="10%"></th>
	</tr>
	<?php
		$sumador_total=0;
		$sql=mysqli_query($con, "SELECT * from dian_documento_temp where usuario='$usu_id' and empresa='$empresa'");
		while ($row=mysqli_fetch_array($sql))
		{
		$id=$row["sop_id"];
		$sop_cantidad=$row['sop_cantidad'];
		$sop_nombre=$row['sop_nombre'];
		$sop_precio=$row['sop_precio'];
		$total=$sop_cantidad*$sop_precio;
		$sumador_total+=$total;
	?>
	<tr>
		<td><?php echo $sop_cantidad;?></td>
		<td><?php echo $sop_nombre;?></td>
		<td><span class="pull-right"><?php echo number_format($sop_precio,0);?></span></td>
		<td>
			<!--<a data-id="<?php echo $id;?>" class="btn btn-edit btn-xs btn-warning"> <i class="btn-icon-only icon-edit"></i></a>-->
			<a href="#" id="del-<?php echo $row["sop_id"];?>" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>
			<script>
			$("#del-"+<?php echo $row["sop_id"];?>).click(function(e){
				e.preventDefault();
				p = confirm("Estas seguro?");
				if(p){
					$.get("./php_doc_soporte/eliminar_temp.php","sop_id="+<?php echo $row["sop_id"];?>,function(data){
						loadTabla();
					});
				}
			});
			</script>
		</td>
	</tr>		
	<?php } ?>
	<tr>
    	<td></td>
    	<td><span class="pull-right">TOTAL $</span></td>
		<td><span class="pull-right"><strong><?php echo number_format($sumador_total,0);?></strong></span></td>
		<td></td>
	</tr>	
</table>
